<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/get_temp_segment_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>04/21/82  get_temp_segment_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in get_temp_segment_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry:  get_temp_segment_:  09/25/86  get_temp_segment_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: acquires a temporary segment in the process directory.  The
<span id="L12" class="LineNr">12 </span>segment returned to the caller is zero-length.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>A free pool of temporary segments is associated with each user process.
<span id="L15" class="LineNr">15 </span>The pool concept makes it possible to use the same temporary segment
<span id="L16" class="LineNr">16 </span>more than once during the life of a process.  Reusing temporary
<span id="L17" class="LineNr">17 </span>segments in this way avoids the cost of creating a segment each time
<span id="L18" class="LineNr">18 </span>one is needed.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>If more than one temporary segment is required, use the
<span id="L21" class="LineNr">21 </span>get_temp_segments_ subroutine.
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Syntax:
<span id="L25" class="LineNr">25 </span>declare get_temp_segment_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr">26 </span>call get_temp_segment_ <span class="textRainbow_lv0_p0">(</span>program<span class="textRainbow_lv0_o0">,</span> temp_seg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>Arguments:
<span id="L30" class="LineNr">30 </span>program
<span id="L31" class="LineNr">31 </span>   is a 32-character field identifying the program on whose behalf the
<span id="L32" class="LineNr">32 </span>   temporary segment is to be used.  This field is displayed by the
<span id="L33" class="LineNr">33 </span>   list_temp_segments command.  Besides giving the name of the command
<span id="L34" class="LineNr">34 </span>   or subroutine invoked by the user, it can also briefly describe how
<span id="L35" class="LineNr">35 </span>   the temporary segment is used; for example, &quot;sort_seg <span class="textRainbow_lv0_p0">(</span>sort
<span id="L36" class="LineNr">36 </span>   indexes<span class="textRainbow_lv0_p0">)</span>.&quot;  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr">37 </span>temp_seg_ptr
<span id="L38" class="LineNr">38 </span>   is a returned pointer to the requested temporary segment.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>code
<span id="L40" class="LineNr">40 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>Notes:  This subroutine assigns a temporary segment to its caller.  It
<span id="L44" class="LineNr">44 </span>creates a new temporary segment and adds it to the free pool if one is
<span id="L45" class="LineNr">45 </span>not currently available to satisfy the request.  The temporary segment
<span id="L46" class="LineNr">46 </span>is created in the process directory with a unique name including the
<span id="L47" class="LineNr">47 </span>temp.xxxx suffix, where xxxx is the segment number of the segment in
<span id="L48" class="LineNr">48 </span>octal.  See the description of the release_temp_segment_ or the
<span id="L49" class="LineNr">49 </span>release_temp_segments_ subroutine for a description of how to return a
<span id="L50" class="LineNr">50 </span>temporary segment to the free pool.
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>The list_temp_segments command <span class="textRainbow_lv0_p0">(</span>described in the MPM Commands<span class="textRainbow_lv0_p0">)</span> can be
<span id="L53" class="LineNr">53 </span>used to list the temporary segments being used by a process.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
